### Method

# Gck Builder set_string

#### Declaration [src]

    void
    gck_builder_set_string (
      GckBuilder* builder,
      gulong attr_type,
      const gchar* value
    )

#### Description [src]

Set an attribute on the builder for the string `value` or `NULL`. If an attribute with `attr_type` already exists in the builder then it is changed to the new value, otherwise an attribute is added.

#### Parameters

`attr_type` | `gulong`
| The new attribute type.
`value` | `const gchar*`
| The attribute value.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.